> For the complete documentation index, see [llms.txt](https://docs.fusion.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fusion.vectra.ai/enrich-traffic-with-context/configure-context-integrations/tenable-context.md).

# Tenable

## About <a href="#about" id="about"></a>

The Tenable Vulnerability Management context integration provides enriched asset context to Vectra Fusion from Tenable Vulnerability Management. It connects to the Tenable API to retrieve asset, vulnerability, and scanner information and then adds [Context Labels](/enrich-traffic-with-context/labels.md) to Vectra Fusion.

{% hint style="info" %}
**NetoFuse Modules: Cloud deployment vs. on-prem deployment**

This page documents how to add and configure the context integration in the Vectra Fusion Portal. This will make a direct connection from the Vectra Fusion SaaS in the cloud to the vendor API. If you prefer to deploy the integration within your own environment, go to the module documentation in [NetoFuse Modules](broken://pages/6i3otB8UAClHx08Umd0Y).
{% endhint %}

## Adding a Context Integration <a href="#adding-a-context-integration" id="adding-a-context-integration"></a>

In the Vectra Fusion Portal:

1. Select **Settings** at the bottom of the left-hand navigation menu
2. Select **Context Integrations** in the **Data Management** section.
3. Select the **Add Integration** button.
4. Select a context integration from the list provided.
5. Follow the configuration steps in the documentation for the context integration you selected.

## Configuring <a href="#configuring" id="configuring"></a>

| Field      | Required | Description        |
| ---------- | -------- | ------------------ |
| API Key    | Yes      | Tenable API Key    |
| API Secret | Yes      | Tenable API Secret |

### Advanced Configuration Options <a href="#advanced-configuration-options" id="advanced-configuration-options"></a>

These advanced configuration options can be used to specify the data returned by the Tenable API.

| Field                | Description                                                                                                                                                                                                                                                                                             | Default Value |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| `include_asset_data` | If set to false, no asset data is retrieved, only the vulnerabilities.                                                                                                                                                                                                                                  | `False`       |
| `filters`            | Filters to apply to asset and vulnerability API calls. More information on this object here: <https://developer.tenable.com/reference/exports-assets-request-export>. If another configuration option is already available for the specific filter you want to use, use that one instead of this field. | `None`        |
| `cidr_range`         | Corresponds to the `cidr_range` filter setting                                                                                                                                                                                                                                                          | `None`        |
| `severity`           | <p>Comma-separated list of severities to include in vulnerability results.<br>Note that anything less than <code>high</code> is likely to create many context labels that are of low value, which should be avoided.</p>                                                                                | `high`        |
| `networks`           | A comma-separated list of network names. If it is set, the only assets or vulnerabilities included are those in one of the specified networks.                                                                                                                                                          | `None`        |
| `tags`               | A tag to filter assets returned by. A tag has a category name and a value, so the value of this should be written as `“category=value"`.                                                                                                                                                                | `None`        |
| `scanner_details`    | If set to true, retrieve the list of scanners (filtered by the networks and CIDR field above).                                                                                                                                                                                                          | `True`        |

## Tenable VM Configuration <a href="#tenable-vm-configuration" id="tenable-vm-configuration"></a>

### Generate a Tenable API Key <a href="#generate-a-tenable-api-key" id="generate-a-tenable-api-key"></a>

Login to your Tenable account and generate an API key at:\
<https://cloud.tenable.com/tio/app.html#/settings/my-account/api-keys>

See Tenable documentation if this link has changed or you have any questions about this process: <https://docs.tenable.com/vulnerability-management/Content/Settings/my-account/GenerateAPIKey.htm>

### Transform <a href="#transform" id="transform"></a>

The **Advanced** section of the context integration contains the *Transform* field. This field allows you to add, remove, or change the mapping of fields returned by the vendor API to Vectra Fusion context labels.

See the [Context Transforms](/netofuse/context-transforms.md) documentation section for more instructions on editing this field.

It may be helpful to first configure all the parameters and the transform field with a [NetoFuse](/netofuse/about.md) container on your local system and then copy those fields into the Portal once you have validated that everything is configured properly.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fusion.vectra.ai/enrich-traffic-with-context/configure-context-integrations/tenable-context.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
